<div class="container" style="margin-top: 10px;">
  <form [formGroup]="ddlbCodeForm">
    <fieldset>
      <legend>Department</legend>
      <i id="addIcon" class="fas fa-plus-circle" tooltip="Add"></i>

      <div class="flex-container">
        <div class="flex-item">
          <label for="departmentName">Department Name</label>
          <input
            type="text"
            id="departmentName"
            class="form-control"
            formControlName="departmentName"
          />
          <span
            class="error-msg"
            *ngIf="formErrors.departmentName && submitted"
            >{{ formErrors.departmentName }}</span
          >
        </div>
        <div class="flex-item">
          <label for="supervisorName">Supervisor Name</label>
          <select
            class="form-control"
            id="supervisorName"
            formControlName="supervisorName"
          >
            <option>kathmandu</option>
            <option>pokhara</option>
            <option>Butwal</option>
            <option>dang</option>
            <option>Nepalgunj</option>
          </select>
        </div>
        <div class="flex-item">
          <label for="telephone">Telephone</label>
          <input
            type="text"
            id="telephone"
            class="form-control"
            formControlName="telephone"
          />
        </div>
        <div class="flex-item">
          <i
            class="fas fa-pencil-alt mr-2 cursor-pointer"
            style="color: cadetblue"
            tooltip="Edit"
          ></i>
          <i
            class="fas fa-trash-alt mr-2 cursor-pointer"
            style="margin-top: 45px;"
            tooltip="Delete"
          ></i>
        </div>
      </div>
    </fieldset>
    <!-- ............................................................. -->

    <fieldset>
      <legend>Division</legend>
      <i id="addIcon" class="fas fa-plus-circle" tooltip="Add"></i>

      <div class="flex-container">
        <div class="flex-item">
          <label for="divison">Title</label>
          <input
            type="text"
            id="divison"
            class="form-control"
            formControlName="title"
          />
          <span class="error-msg" *ngIf="formErrors.title && submitted">{{
            formErrors.title
          }}</span>
        </div>

        <div class="flex-item">
          <i
            class="fas fa-trash-alt mr-2 cursor-pointer"
            style="margin-top: 45px;  "
            tooltip="Delete"
          ></i>
        </div>
      </div>
    </fieldset>
    <!-- .............................................. -->

    <fieldset>
      <legend>Location</legend>
      <i id="addIcon" class="fas fa-plus-circle" tooltip="Add"></i>

      <div class="flex-location-container">
        <div class="flex-item" style="flex: 1 1 100px">
          <label for="name">Name</label>
          <input
            type="text"
            id="name"
            class="form-control"
            formControlName="locationName"
          />
          <span
            class="error-msg"
            *ngIf="formErrors.locationName && submitted"
            >{{ formErrors.locationName }}</span
          >
        </div>
        <div class="flex-item" style="flex: 2 1 150">
          <label for="address">Address</label>
          <input
            type="text"
            id="address"
            class="form-control"
            formControlName="locationAddress"
          />
        </div>
        <div class="flex-item" style="flex: 1 1 100px">
          <label for="city">City</label>
          <input
            type="text"
            id="city"
            class="form-control"
            formControlName="city"
          />
        </div>
        <div class="flex-item" style="flex: 1 1 100px">
          <label for="state">State</label>
          <select class="form-control" id="state" formControlName="state">
            <option>kathmandu</option>
            <option>pokhara</option>
            <option>Butwal</option>
            <option>dang</option>
            <option>Nepalgunj</option>
          </select>
          <span class="error-msg" *ngIf="formErrors.state && submitted">{{
            formErrors.state
          }}</span>
        </div>
        <div class="flex-item" style="flex: 1 1 100px">
          <label for="zip">Zip</label>
          <input
            type="text"
            id="zip"
            class="form-control"
            formControlName="zip"
          />
          <span class="error-msg" *ngIf="formErrors.zip && submitted">{{
            formErrors.zip
          }}</span>
        </div>
        <div class="flex-item">
          <i
            style="color: cadetblue"
            class="fas fa-pencil-alt mr-2 cursor-pointer"
            tooltip="Edit"
          ></i>
          <i
            class="fas fa-trash-alt mr-2 cursor-pointer"
            style="margin-top: 45px; "
            tooltip="Delete"
          ></i>
        </div>
      </div>
    </fieldset>
    <!-- ............................................... -->

    <fieldset>
      <legend>Invoice Setting</legend>

      <div class="flex-invoice-container">
        <div class="flex-item" style="flex:1 1 100px">
          <div class="form-group">
            <label for="exampleFormControlTextarea2">Proceed</label>
            <textarea
              class="form-control rounded-0"
              id="exampleFormControlTextarea2"
              rows="4"
            ></textarea>
          </div>
        </div>
        <div class="flex-item" style="flex: 1 1 100px">
          <div class="form-group">
            <label for="exampleFormControlTextarea2">Remit To</label>
            <textarea
              class="form-control rounded-0"
              id="exampleFormControlTextarea2"
              rows="4"
            ></textarea>
          </div>
        </div>
        <div class="flex-item-column" style="flex:1 1 150px;">
          <div class="flex-item">
            <label for="custCode">Cust Code</label>
            <input
              type="text"
              id="custCode"
              class="form-control"
              formControlName="custcode"
            />
          </div>

          <div class="flex-item">
            <label for="lateCharge">Late Charge</label>
            <input
              type="text"
              class="form-control"
              id="lateCharge"
              formControlName="lateCharge"
            />
          </div>
        </div>
        <!-- ........................................ -->
        <div class="flex-item-column" style="flex: 1 1 200px;">
          <div class="flex-item">
            <label for="paymentType">Payment Type</label>
            <select
              class="form-control"
              id="state"
              formControlName="paymentType"
            >
              <option>kathmandu</option>
              <option>pokhara</option>
              <option>Butwal</option>
              <option>dang</option>
              <option>Nepalgunj</option>
            </select>
          </div>

          <div class="flex-item">
            <label for="paymentDays">Payment Days</label>
            <input
              type="text"
              class="form-control"
              id="paymentDays"
              formControlName="paymentDays"
            />
          </div>
        </div>
      </div>
    </fieldset>
  </form>
  <div class="mb-2">
    <button class="btn btn-primary" (click)="onSubmit()">
      Update
    </button>
  </div>
</div>
